SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUOverlayRef Struct Reference

Manages a Overlay object, which is used to blend external images on top of SketchUp rendering. More...

`#include <SketchUpAPI/application/overlay.h>`

## Related Functions
(Note that these are not member functions.)
enum | SUOverlayBeginFrameInfoVersion : uint32_t
| Available versions for the SUOverlayCreateInfo::version field.
enum | SUOverlayDrawFrameInfoVersion : uint32_t
| Available versions for SUOverlayDrawFrameInfo::version.
enum | SUOverlayImageFormat : uint8_t
| Supported image formats.
enum | SUOverlayImageOrientation : uint8_t
| Supported image orientations.
enum | SUOverlayCreateInfoVersion : uint32_t
| Available versions for the SUOverlayCreateInfo::version field.
typedef struct SUBoundingBox3D(* | SUOverlayGetExtentsFuncT )(SUOverlayRef, void *)
| Signature for SUOverlayCreateInfo::get_extents callback.
typedef void(* | SUOverlayBeginFrameFuncT )(SUOverlayRef, const struct SUBeginFrameInfo *, void *)
| Signature for SUOverlayCreateInfo::begin_frame callback.
typedef void(* | SUOverlayDrawFrameFuncT )(SUOverlayRef, struct SUOverlayDrawFrameInfo *, void *)
| Signature for SUOverlayCreateInfo::draw_frame callback.
typedef void(* | SUOverlayEndFrameFuncT )(SUOverlayRef, void *)
| Signature for SUOverlayCreateInfo::end_frame callback. More...
typedef void(* | SUOverlayStartFuncT )(SUOverlayRef, void *)
| Signature for SUOverlayCreateInfo::start callback.
typedef void(* | SUOverlayStopFuncT )(SUOverlayRef, void *)
| Signature for SUOverlayCreateInfo::stop callback.
#define | SUOVERLAY_BEGIN_FRAME_INFO_VERSION
| Current version of the SUBeginFrameInfo struct.
#define | SUOVERLAY_DRAW_FRAME_INFO_VERSION
| Current version of SUOverlayDrawFrameInfo struct.
#define | SUOVERLAY_CREATE_INFO_VERSION
| Current version of the SUOverlayCreateInfo struct.
enum SUResult | SUOverlayEnable (SUOverlayRef overlay, bool enabled)
| Enables or disables an overlay. More...

## Detailed Description

Manages a Overlay object, which is used to blend external images on top of SketchUp rendering.

## Friends And Related Function Documentation

enum SUResult SUOverlayEnable | ( | SUOverlayRef | overlay,
|  | bool | enabled
| ) |  |
| related

Enables or disables an overlay.

Parameters

  [in] | overlay | The overlay object
  [in] | enabled | Whether to enable or disable

Since
  SketchUp 2024, API 12.0

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if overlay is an invalid object

typedef void(* SUOverlayEndFrameFuncT)(SUOverlayRef, void *)
| related

Signature for SUOverlayCreateInfo::end_frame callback.

Attention
  SUOverlayDrawFrameInfo::color and SUOverlayDrawFrameInfo::depth buffers must be valid until the end_frame callback is called.

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/application/overlay.h